# Rebate Record Group ## Submit a Rebate Record Group - [POST /rebaterecordgroup.submit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-rebaterecordgroup.submit-typedid.md): Submits a Rebate Record Group. Use the /rebaterecordgroup.submit/{typedId}/async endpoint to perform the submit action asynchronously. ## Calculate a Rebate Record Group - [POST /rebaterecordgroup.calculate/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-rebaterecordgroup.calculate-typecode.md): Calculates the specified Rebate Record Group (RRG). ## Get a Rebate Record Group - [POST /fetch/RRG](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-fetch-rrg.md): Retrieves the Rebate Record Group specified by the filter in the request payload. Retrieves all Rebate Record Groups when the payload is empty. ## Revoke a Rebate Record Group - [POST /rebaterecordgroup.revoke/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-rebaterecordgroup.revoke-typedid.md): Revokes a Rebate Record Group. ## Mass Submit Rebate Record Groups - [POST /rebaterecordgroup.masssubmit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-rebaterecordgroup.masssubmit-typedid.md): Performs the mass submit action on Rebate Record Groups specified by the filter in the request body. ## Preview a Rebate Record Group Workflow - [POST /rebaterecordgroup.preview/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-rebaterecordgroup.preview-typedid.md): Returns a Rebate Record Group workflow preview (resultWorkflow DTO). ## Should Submit a RRG Asynchronously - [POST /rebaterecordgroup.shouldsubmitasynchronously/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-rebaterecordgroup.shouldsubmitasynchronously-typedid.md): Returns true if the Submit action of the specified Rebate Record Group should be performed asynchronmously. If the number of Rebate Records within the given Rebate Record Group exceeds a defined threshold the group should be submitted in the asynchronous way. The threshold number can be set in the Advanced Configuration Option key asyncSubmitRRGThreshold. The default value is 10. Set to 0 to always submit a Rebate Record Group asynchronously. ## Mass Submit Rebate Record Groups - [POST /rebaterecordgroup.masssubmit](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-rebaterecordgroup.masssubmit.md): Peforms the Mass Submit action of the Rebate Record Groups specified by the filter in the request body. The Mass Submit action is always performed asynchronously - returns Job Status Tracker (JST). ## Undo Rebate Record Group Revocation - [POST /rebaterecordgroup.undorevoke/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-record-group/post-rebaterecordgroup.undorevoke-typedid.md): Reverts the action 'Revoke' and returns the Rebate Record Group back to the Approved status. It is useful if the user revokes a Rebate Record Group by mistake. There is no button for this action available in the UI.